Last Comment Bug 717223 - Delayload linking of gkmedias.dll broke mingw compilation
: Delayload linking of gkmedias.dll broke mingw compilation
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: mozilla12
Assigned To: Jacek Caban
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-11 06:01 PST by Jacek Caban
Modified: 2012-01-13 01:03 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (1.19 KB, patch)
2012-01-11 06:01 PST, Jacek Caban
khuey: review+
Details | Diff | Review

Description Jacek Caban 2012-01-11 06:01:21 PST
Created attachment 587675 [details] [diff] [review]
fix v1.0

MSVC-specific options are filtered by platform instead of compiler. The attached patch moves importing gkmedias.dll to the place where other delayload options are set.
Comment 1 Kyle Huey [:khuey] (khuey@mozilla.com) (Away until 6/13) 2012-01-11 06:03:11 PST
Comment on attachment 587675 [details] [diff] [review]
fix v1.0

You need to move delayimp.lib too, no?
Comment 2 Jacek Caban 2012-01-11 06:11:47 PST
It's already there, see line 559 (in patched file):

OS_LIBS += $(call EXPAND_LIBNAME,delayimp)
Comment 3 Kyle Huey [:khuey] (khuey@mozilla.com) (Away until 6/13) 2012-01-11 06:14:12 PST
Comment on attachment 587675 [details] [diff] [review]
fix v1.0

Review of attachment 587675 [details] [diff] [review]:
-----------------------------------------------------------------

Aha, that's what I get for searching for delayimp.lib.

r=me 

Thanks for fixing this.
Comment 4 Jacek Caban 2012-01-12 03:10:02 PST
Thanks for review, pushed to m-i:

https://hg.mozilla.org/integration/mozilla-inbound/rev/4089da57bff1
Comment 5 Marco Bonardo [::mak] 2012-01-13 01:03:38 PST
https://hg.mozilla.org/mozilla-central/rev/4089da57bff1

Note You need to log in before you can comment on or make changes to this bug.